
Redmine - Defect #26668

Create "Documentation support" subsection in the "Non Code Related" section of the "Contribution"

page.

2017-08-12 10:33 - Masakazu IZUI

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

It would be great to show "how to contribute to documentation" in the "Non Code Related" section of the "Contribute" page.

The related information is already in the "Code documentation" subsection in the "Code Related" section. Surely, code

documentation needs code experience, but the documentation on this site doesn't necessarily need code experience. So non code

related section is a good place to put this kind of information in, I think. It would be easier for new contributors to find.

The most of Redmine documentation is written on the "Wiki" of redmine.org. So, that is better to have a link to "Submitting a Wiki

improvement" subsection in the "Submissions" page in this section.

For example,

How to contribute to documentation on this site

You can contribute to the documentation on this site with directly editing the Wiki. Firstly you need to register your account on

this site and you can edit the Wiki. Some Wiki pages doesn't allow you to edit and in the case you need to file an issue on the

issue queue with the category "documentation".

History

#1 - 2017-08-13 03:27 - Go MAEDA

- Assignee set to Masakazu IZUI

Thank you for suggesting the improvement. I think it is very good idea to add the information about updating the official Wiki to Contribute page.

Please don't hesitate to update the page.

#2 - 2017-08-13 10:26 - Go MAEDA

- Assignee deleted (Masakazu IZUI)

Sorry, only Contributors can upate the page because the page is locked.

I will update the page after waiting for feedback for a few days.

#3 - 2017-11-26 05:21 - Go MAEDA

- Category changed from Documents to Documentation

#4 - 2021-03-19 13:08 - C S

I also find this extension very useful as I have only just discovered this possibility and think that I could already help here ...
